<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=utf-8">
  <title>Landelijk.py</title>
  <link rel="stylesheet" href="pycco.css">
</head>
<body>
<div id='container'>
  <div id="background"></div>
  <div class='section'>
    <div class='docs'><h1>Landelijk.py</h1></div>
  </div>
  <div class='clearall'>
  <div class='section' id='section-0'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-0'>#</a>
      </div>
      <p>import dependencies</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span></span><span class="kn">import</span> <span class="nn">pandas</span> <span class="kn">as</span> <span class="nn">pd</span>
<span class="kn">import</span> <span class="nn">matplotlib.pyplot</span> <span class="kn">as</span> <span class="nn">plt</span>
<span class="kn">import</span> <span class="nn">os</span>
<span class="kn">import</span> <span class="nn">glob</span>
<span class="kn">import</span> <span class="nn">fpdf</span>
<span class="kn">import</span> <span class="nn">helpers</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-1'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-1'>#</a>
      </div>
      <p>declare input and output path</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="n">INPUT_PATH</span> <span class="o">=</span> <span class="s1">&#39;input/Landelijk/&#39;</span>
<span class="n">OUTPUT_PATH</span> <span class="o">=</span> <span class="s1">&#39;output/Landelijk/&#39;</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-2'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-2'>#</a>
      </div>
      <p>declare primary keys of .csv file</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="n">columns</span> <span class="o">=</span> <span class="p">[</span><span class="s1">&#39;naam&#39;</span><span class="p">,</span> <span class="s1">&#39;plaats&#39;</span><span class="p">,</span>
           <span class="s1">&#39;tot_ll_1&#39;</span><span class="p">,</span> <span class="s1">&#39;tot_ll_2&#39;</span><span class="p">,</span> <span class="s1">&#39;tot_ll_3&#39;</span><span class="p">,</span> <span class="s1">&#39;tot_ll_4&#39;</span><span class="p">,</span> <span class="s1">&#39;tot_ll_5&#39;</span><span class="p">,</span> <span class="s1">&#39;tot_ll_6&#39;</span><span class="p">,</span><span class="c1"># totaal leerlingen &lt;klas&gt;</span>
           <span class="s1">&#39;havo_j_1&#39;</span><span class="p">,</span> <span class="s1">&#39;havo_j_2&#39;</span><span class="p">,</span> <span class="s1">&#39;havo_j_3&#39;</span><span class="p">,</span> <span class="s1">&#39;havo_j_4&#39;</span><span class="p">,</span> <span class="s1">&#39;havo_j_5&#39;</span><span class="p">,</span>            <span class="c1"># technasium havo jongens &lt;klas&gt;</span>
           <span class="s1">&#39;havo_m_1&#39;</span><span class="p">,</span> <span class="s1">&#39;havo_m_2&#39;</span><span class="p">,</span> <span class="s1">&#39;havo_m_3&#39;</span><span class="p">,</span> <span class="s1">&#39;havo_m_4&#39;</span><span class="p">,</span> <span class="s1">&#39;havo_m_5&#39;</span><span class="p">,</span>            <span class="c1"># technasium havo meisjes &lt;klas&gt;</span>
           <span class="s1">&#39;vwo_j_1&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_j_2&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_j_3&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_j_4&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_j_5&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_j_6&#39;</span><span class="p">,</span>      <span class="c1"># technasium havo jongens &lt;klas&gt;</span>
           <span class="s1">&#39;vwo_m_1&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_m_2&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_m_3&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_m_4&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_m_5&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_m_6&#39;</span><span class="p">,</span>      <span class="c1"># technasium havo meisjes &lt;klas&gt;</span>
           <span class="s1">&#39;havo_NG_4&#39;</span><span class="p">,</span> <span class="s1">&#39;havo_NG_5&#39;</span><span class="p">,</span>                                              <span class="c1"># technasium havo NG &lt;klas&gt;</span>
           <span class="s1">&#39;havo_NT_4&#39;</span><span class="p">,</span> <span class="s1">&#39;havo_NT_5&#39;</span><span class="p">,</span>                                              <span class="c1"># technasium havo NT &lt;klas&gt;</span>
           <span class="s1">&#39;havo_NG_NT_4&#39;</span><span class="p">,</span> <span class="s1">&#39;havo_NG_NT_5&#39;</span><span class="p">,</span>                                        <span class="c1"># technasium havo NG-NT &lt;klas&gt;</span>
           <span class="s1">&#39;havo_OVERIG_4&#39;</span><span class="p">,</span> <span class="s1">&#39;havo_OVERIG_5&#39;</span><span class="p">,</span>                                      <span class="c1"># technasium havo OVERIG &lt;klas&gt;</span>
           <span class="s1">&#39;vwo_NG_4&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_NG_5&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_NG_6&#39;</span><span class="p">,</span>                                    <span class="c1"># technasium vwo NG &lt;klas&gt;</span>
           <span class="s1">&#39;vwo_NT_4&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_NT_5&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_NT_6&#39;</span><span class="p">,</span>                                    <span class="c1"># technasium vwo NT &lt;klas&gt;</span>
           <span class="s1">&#39;vwo_NG_NT_4&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_NG_NT_5&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_NG_NT_6&#39;</span><span class="p">,</span>                           <span class="c1"># technasium vwo NG-NT &lt;klas&gt;</span>
           <span class="s1">&#39;vwo_OVERIG_4&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_OVERIG_5&#39;</span><span class="p">,</span> <span class="s1">&#39;vwo_OVERIG_6&#39;</span><span class="p">,</span>                        <span class="c1"># technasium vwo OVERIG &lt;klas&gt;</span>
           <span class="s1">&#39;meesterproef&#39;</span><span class="p">,</span>
           <span class="s1">&#39;data_leerlingen&#39;</span>
          <span class="p">]</span>

<span class="n">columns_data</span> <span class="o">=</span> <span class="p">[</span><span class="s1">&#39;niveau&#39;</span><span class="p">,</span> <span class="s1">&#39;onderwijstype&#39;</span><span class="p">,</span> <span class="s1">&#39;onderwijsinstelling&#39;</span><span class="p">,</span> <span class="s1">&#39;studie&#39;</span><span class="p">,</span> <span class="s1">&#39;cluster&#39;</span><span class="p">]</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-3'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-3'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="k">def</span> <span class="nf">main</span><span class="p">():</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-4'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-4'>#</a>
      </div>
      <p>load data</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">all_files</span> <span class="o">=</span> <span class="n">glob</span><span class="o">.</span><span class="n">glob</span><span class="p">(</span><span class="n">os</span><span class="o">.</span><span class="n">path</span><span class="o">.</span><span class="n">join</span><span class="p">(</span><span class="n">INPUT_PATH</span><span class="p">,</span> <span class="s2">&quot;*.csv&quot;</span><span class="p">))</span>
    <span class="n">df_from_each_file</span> <span class="o">=</span> <span class="p">(</span><span class="n">pd</span><span class="o">.</span><span class="n">read_csv</span><span class="p">(</span><span class="n">f</span><span class="p">,</span> <span class="n">names</span><span class="o">=</span><span class="n">columns</span><span class="p">,</span> <span class="n">sep</span><span class="o">=</span><span class="s1">&#39;,&#39;</span><span class="p">)</span> <span class="k">for</span> <span class="n">f</span> <span class="ow">in</span> <span class="n">all_files</span><span class="p">)</span>
    <span class="n">concatenated_df</span>   <span class="o">=</span> <span class="n">pd</span><span class="o">.</span><span class="n">concat</span><span class="p">(</span><span class="n">df_from_each_file</span><span class="p">,</span> <span class="n">ignore_index</span><span class="o">=</span><span class="bp">True</span><span class="p">)</span>
    <span class="n">data</span> <span class="o">=</span> <span class="n">concatenated_df</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-5'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-5'>#</a>
      </div>
      <p>get the total technasium students that is stored in a DataFrame</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">total_technasium_students_table</span> <span class="o">=</span> <span class="n">helpers</span><span class="o">.</span><span class="n">get_total_technasium_students_table</span><span class="p">(</span><span class="n">data</span><span class="p">)</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-6'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-6'>#</a>
      </div>
      <p>get the total technasium students with a certain profile that is stored in a Dataframe</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">total_student_profiles</span> <span class="o">=</span> <span class="n">helpers</span><span class="o">.</span><span class="n">get_student_profiles_table</span><span class="p">(</span><span class="n">data</span><span class="p">)</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-7'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-7'>#</a>
      </div>
      <p>get information of students that are graduated structuredly</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">students_data</span> <span class="o">=</span> <span class="n">helpers</span><span class="o">.</span><span class="n">get_students_data</span><span class="p">(</span><span class="n">data</span><span class="p">,</span> <span class="n">columns_data</span><span class="p">)</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-8'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-8'>#</a>
      </div>
      <p>get titles titles_meesterproef</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">titles_meesterproef</span> <span class="o">=</span> <span class="n">helpers</span><span class="o">.</span><span class="n">get_titles_meesterproef</span><span class="p">(</span><span class="n">data</span><span class="p">)</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-9'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-9'>#</a>
      </div>
      <p>create pie chart from school and stores it in /output</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre>    <span class="n">pie_chart_school</span> <span class="o">=</span> <span class="n">helpers</span><span class="o">.</span><span class="n">create_pie_chart</span><span class="p">(</span><span class="n">students_data</span><span class="p">,</span> <span class="s1">&#39;onderwijsinstelling&#39;</span><span class="p">,</span> <span class="n">OUTPUT_PATH</span><span class="p">)</span>
    <span class="n">pie_chart_profile</span> <span class="o">=</span> <span class="n">helpers</span><span class="o">.</span><span class="n">create_pie_chart</span><span class="p">(</span><span class="n">students_data</span><span class="p">,</span> <span class="s1">&#39;onderwijstype&#39;</span><span class="p">,</span> <span class="n">OUTPUT_PATH</span><span class="p">)</span>
    <span class="n">pie_chart_clusters</span> <span class="o">=</span> <span class="n">helpers</span><span class="o">.</span><span class="n">create_pie_chart</span><span class="p">(</span><span class="n">students_data</span><span class="p">,</span> <span class="s1">&#39;cluster&#39;</span><span class="p">,</span> <span class="n">OUTPUT_PATH</span><span class="p">)</span>
    <span class="n">pie_chart_clusters_havo</span> <span class="o">=</span> <span class="n">helpers</span><span class="o">.</span><span class="n">create_pie_chart</span><span class="p">(</span><span class="n">students_data</span><span class="o">.</span><span class="n">loc</span><span class="p">[</span><span class="n">students_data</span><span class="p">[</span><span class="s1">&#39;niveau&#39;</span><span class="p">]</span> <span class="o">==</span> <span class="s1">&#39;HAVO&#39;</span><span class="p">],</span> <span class="s1">&#39;cluster&#39;</span><span class="p">,</span> <span class="n">OUTPUT_PATH</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;cluster_havo&#39;</span><span class="p">)</span>
    <span class="n">pie_chart_clusters_vwo</span> <span class="o">=</span> <span class="n">helpers</span><span class="o">.</span><span class="n">create_pie_chart</span><span class="p">(</span><span class="n">students_data</span><span class="o">.</span><span class="n">loc</span><span class="p">[</span><span class="n">students_data</span><span class="p">[</span><span class="s1">&#39;niveau&#39;</span><span class="p">]</span> <span class="o">==</span> <span class="s1">&#39;VWO&#39;</span><span class="p">],</span> <span class="s1">&#39;cluster&#39;</span><span class="p">,</span> <span class="n">OUTPUT_PATH</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="s1">&#39;cluster_vwo&#39;</span><span class="p">)</span>

    <span class="sd">&#39;&#39;&#39;</span>
<span class="sd">    Create a html file with the following chapters:</span>
<span class="sd">        - Uitstroom naar vervolgopleidingen</span>
<span class="sd">        - Clusters</span>
<span class="sd">        - Aantal Technasium studenten</span>
<span class="sd">        - Profielen</span>
<span class="sd">        - Meesterproef titels</span>
<span class="sd">    The title of the document is &#39;IN-, DOOR- EN UITSTROOMGEGEVENS - LANDELIJK&#39;</span>
<span class="sd">    &#39;&#39;&#39;</span>
    <span class="n">helpers</span><span class="o">.</span><span class="n">create_html</span><span class="p">(</span><span class="n">OUTPUT_PATH</span><span class="o">+</span><span class="s1">&#39;landelijk&#39;</span><span class="p">,</span> <span class="p">{</span>
                                    <span class="s1">&#39;Uitstroom naar vervolgopleidingen&#39;</span><span class="p">:</span> <span class="p">[</span><span class="s1">&#39;### Onderwijstype&#39;</span><span class="p">,</span> <span class="s1">&#39;onderwijstype.png&#39;</span><span class="p">,</span> <span class="n">pie_chart_profile</span><span class="p">,</span> <span class="s1">&#39;### Onderwijsinstelling&#39;</span><span class="p">,</span> <span class="s1">&#39;onderwijsinstelling.png&#39;</span><span class="p">,</span> <span class="n">pie_chart_school</span><span class="p">],</span>
                                    <span class="s1">&#39;Clusters&#39;</span><span class="p">:</span> <span class="p">[</span><span class="s1">&#39;### Totaal clusters&#39;</span><span class="p">,</span><span class="s1">&#39;cluster.png&#39;</span><span class="p">,</span> <span class="n">pie_chart_clusters</span><span class="p">,</span> <span class="s1">&#39;### Clusters havo&#39;</span><span class="p">,</span> <span class="s1">&#39;cluster_havo.png&#39;</span><span class="p">,</span> <span class="n">pie_chart_clusters_havo</span><span class="p">,</span> <span class="s1">&#39;### Clusters VWO&#39;</span><span class="p">,</span> <span class="s1">&#39;cluster_vwo.png&#39;</span><span class="p">,</span> <span class="n">pie_chart_clusters_vwo</span><span class="p">],</span>
                                    <span class="s1">&#39;Aantal Technasium studenten&#39;</span><span class="p">:</span> <span class="p">[</span><span class="n">total_technasium_students_table</span><span class="p">],</span>
                                    <span class="s1">&#39;Profielen&#39;</span><span class="p">:</span> <span class="p">[</span><span class="n">total_student_profiles</span><span class="p">],</span>
                                    <span class="s1">&#39;Meesterproef titels&#39;</span><span class="p">:</span> <span class="p">[</span><span class="n">titles_meesterproef</span><span class="p">],</span>
                                    <span class="p">},</span>
                                    <span class="s1">&#39;IN-, DOOR- EN UITSTROOMGEGEVENS - LANDELIJK&#39;</span><span class="p">)</span>
    <span class="k">return</span> <span class="n">total_technasium_students_table</span><span class="p">,</span> <span class="n">students_data</span>

</pre></div>
    </div>
  </div>
  <div class='clearall'></div>
</div>
</body>
